# frozen_string_literal: true

require 'yaml'

module Jibril
  class Config
    def initialize(conf_file)
      @conf = YAML.load_file(conf_file)
    end
    def bind
      @conf[:bind]
    end
    def port
      @conf[:port]
    end
    def key
      @conf[:key]
    end
    def crt
      @conf[:crt]
    end
  end
end
