# -*- encoding: utf-8 -*-
# stub: jibril 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "jibril".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Wolf".freeze]
  s.date = "2018-01-27"
  s.description = "Simple chef-inspired configuration management tool. While chef is awesome,\nit has crazy high requirements (mainly memory-wise) for managing like\n8 devices I have.\n\nAnsible would be great IF all my devices were reachable, however some are\nbehind NATs.\n\nJibril tries to solve both issue. It's designed to be light on the server\n(raspberry pi is enough), with one server (so NATs are not an issue)\nand ruby DSL for the configuration scripts (so like chef, I don't like the\nway ansible uses yaml for this).\n".freeze
  s.email = ["wolf@wolfsden.cz".freeze]
  s.executables = ["jibril-client.rb".freeze, "jibril-server.rb".freeze]
  s.files = ["bin/jibril-client.rb".freeze, "bin/jibril-server.rb".freeze]
  s.homepage = "https://github.com/graywolf/jibril".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Simple configuration management tool.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
  end
end
